### Method

# GObject Value init

#### Declaration

    GValue*
    g_value_init (
      GValue* value,
      GType g_type
    )

#### Description

Initializes `value` with the default value of `type`.

#### Parameters

`g_type`

  Type: `GType`

  Type the `GValue` should hold values of.

#### Return value

Type: `GValue`

The `GValue` structure that has been passed in.

The data is owned by the instance.